version: '3.1'
networks:
  app:
services:
  umbrella:
    container_name: smart-esb
    image: nrel/api-umbrella:0.14.4
    restart: unless-stopped
    volumes:
      - /etc/hosts:/etc/hosts:ro
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
      - ./config:/etc/api-umbrella
    ports:
      - 8100:80   # HTTP PORT
      - 8101:443  # HTTPS PORT
    networks:
      - app
  db:
    container_name: smart-esb-mongodb
    image: mongo:3.6
    restart: unless-stopped
    volumes:
      - /etc/hosts:/etc/hosts:ro
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
      - ./data:/data/db
      - ./script:/docker-entrypoint-initdb.d
    ports:
      - 14001:27017
    networks:
      - app
    command: mongod --auth
